> For the complete documentation index, see [llms.txt](https://docs.cherax.vip/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cherax.vip/lua-documentation/api-reference/natives/audio.md).

# AUDIO

```
void PLAY_SOUND(int soundId, string audioName, string audioRef, bool p3, Any p4, bool p5)
void PLAY_SOUND_FRONTEND(int soundId, string audioName, string audioRef, bool p3)
void PLAY_SOUND_FROM_ENTITY(int soundId, string audioName, Entity entity, string audioRef, bool isNetwork, Any p5)
void PLAY_SOUND_FROM_COORD(int soundId, string audioName, float x, float y, float z, string audioRef, bool isNetwork, int range, bool p8)
void STOP_SOUND(int soundId)
void PLAY_PAIN(Ped ped, int painID, int p1, Any p3)
void SET_PED_IS_DRUNK(Ped ped, bool toggle)
string GET_PLAYER_RADIO_STATION_NAME()
string GET_RADIO_STATION_NAME(int radioStation)
void FREEZE_RADIO_STATION(string radioStation)
void UNFREEZE_RADIO_STATION(string radioStation)
void SKIP_RADIO_FORWARD()
void SET_RADIO_TRACK(string radioStation, string radioTrack)
void SET_RADIO_STATION_IS_VISIBLE(string radioStation, bool toggle)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/audio.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
